%define unmangled_version 7.0-20131213-002437

Summary: Enterprise Resource Management (server)
Name: openerp-server
Version: 7.0
Release: 20131213.%mkrel 4
License: AGPLv3+
Group: System/Servers
URL: http://www.openerp.com/
#Source: http://www.openerp.com/download/stable/source/%{name}-%{version}.tar.gz
Source0: http://nightly.openerp.com/7.0/nightly/src/openerp-%{unmangled_version}.tar.gz
Source1: openerp-server.service
Source2: openerp-gen-cert
Source3: README.urpmi
Source4: google_api-7.0.1.0.zip
Source5: smsclient-7.0.1.0.zip
Source6: oerp_project_git-7.0.1.0.0.zip 
Source7: risk_management-7.0.2.0.zip
Source8: gap_analysis-7.0.1.0.zip
Source9: gap_analysis_project-7.0.1.0.zip
Source10: gap_analysis_project_long_term-7.0.1.0.zip
Source11: openeducat_erp-7.0.1.3.zip 
Source12: planning_management_capacity_planning-7.0.1.0.zip
Source13: planning_management_shared_calendar-7.0.1.0.zip

Patch0: openerp-7.0-setup.patch
BuildRequires: python-setuptools
BuildArch: noarch
Requires: python-libxslt
Requires: python-lxml
Requires: python-psycopg2
Requires: python-pychart
Requires: python-pydot
Requires: python-reportlab
Requires: python-pytz
Requires: python-pillow

%description
Open ERP, previously known as TinyERP, is a complete ERP and CRM. The main
features are accounting (analytic and financial), stock management, sales
and purchases management, tasks automation, marketing campaigns, help desk,
POS, etc. Technical features include a distributed server, flexible workflows,
an object database, a dynamic GUI, customizable reports, and NET-RPC and
XML-RPC interfaces.

This package contains the Open ERP server, install openerp-client package
for the client.

%package -n openerp-google-api
Summary: OpenERP solution for synchronizing crm_meeting with google calendar
License: AGPLv3+
URL: http://www.solutions2use.com/google-calendar 
Requires: openerp-server
Requires: python-google-api-python-client

%description -n openerp-google-api 
OpenERP solution for synchronizing crm_meeting with google calendar

%package -n openerp-openeducat
Summary: OpenEduCat is a fully open source ERP system for educational institute
License: AGPLv3+
URL: http://www.openeducat.org/
Requires: openerp-server

%description -n openerp-openeducat
OpenEduCat is a fully open source ERP system for educational
institute, for efficient management of students, faculties, courses
and classes keeping a collaborative platform.

Based on best of class enterprise level architecture make OpenEduCat
ready to use in environments like local infrastructure or a highly
scalable cloud environment.

%package -n openerp-git
Summary: OpenERP project, task connector with Git OpenERP Project management & Git Integration 
License: AGPLv3+
Requires: openerp-server
Requires: python-gitpython >= 0.3.1

%description -n openerp-git
OpenERP project, task connector with Git OpenERP Project management &
Git Integration Features: Allows to configure git report at level of
project. Multiple branches support. Diff view for each
commit. Automatic commit association with task depending upon the
tracking number mention in git commit message.

%package -n openerp-gap-analysis
Summary: This module provides the necessary tools to create and manage your gap-analysis
License: AGPLv3+
Requires: openerp-server
Requires: python-xlwt
Requires: python-xlutils

%description -n openerp-gap-analysis
This module provides the necessary tools to create and manage your
gap-analysis.  Once the Gap Analysis set as Done, you can generate a
new project with all the task from the Gap Analysis.

%package -n openerp-risk-management
Summary: Business Continuity Management and Risk Management for your projects
License: AGPLv3+
Requires: openerp-server

%description -n openerp-risk-management
Manage the risks to your projects in line with your Project Management
Approach. Business Continuity Planning as it should be - for small and
large organisations. Avoid the 'Buried Word Document Syndrome' manage
your actions to deal with your risks within OpenERP Project Tasks.

%package -n openerp-extras
Summary: Extra addons to OpenErp
License: AGPLv3+
Requires: openerp-server

%description -n openerp-extras
Extra addons to OpenErp

%prep
%setup -q -n openerp-%{unmangled_version} -n openerp-%{unmangled_version}
%apply_patches
cp -a %SOURCE3 doc

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root=%{buildroot}
mkdir -p %{buildroot}%{_datadir}
mkdir -p %{buildroot}%_var/log/openerp
mv %{buildroot}%{_prefix}/openerp %{buildroot}%{_datadir}
install -m 644 -D install/openerp-server.conf  \
    %{buildroot}%{_sysconfdir}/openerp/openerp-server.conf
install -d %{buildroot}%{_sysconfdir}/openerp/start.d
install -d %{buildroot}%{_sysconfdir}/openerp/stop.d

install -D -m 755 %SOURCE2 %{buildroot}%{_sbindir}/openerp-gen-cert
install -D -m 644 %SOURCE1 %{buildroot}%{_unitdir}/openerp-server.service

install -m 644 openerp/import_xml.rng %{buildroot}%{python_sitelib}/openerp
install -d %{buildroot}%{python_sitelib}/openerp/addons/base/security
install -m 644 openerp/addons/base/security/* \
    %{buildroot}%{python_sitelib}/openerp/addons/base/security

install -d %{buildroot}/%{_datadir}/openerp/pixmaps
install -m 644 -D install/*.png  %{buildroot}/%{_datadir}/openerp/pixmaps

install -D -m 644 install/openerp-server.1 \
    %{buildroot}/%{_mandir}/man1/openerp-server.1
install -D -m 644 install/openerp_serverrc.5 \
    %{buildroot}/%{_mandir}/man5/openerp-serverrc.5

install -d %{buildroot}%{_localstatedir}/spool/openerp
install -d %{buildroot}%{_localstatedir}/run/openerp
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE4}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE5}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE6}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE7}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE8}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE9}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE10}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE11}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE12}
unzip -d %{buildroot}%{_datadir}/openerp/addons %{SOURCE13}
# Fix title in OpenEduCat
sed -i -e "s!<title>OpenEduCat</title>!!" \
   %{buildroot}%{_datadir}/openerp/addons/openeducat_erp/controllers/main.py



%pre
getent group openerp >/dev/null || groupadd -r openerp
getent passwd openerp >/dev/null || \
    useradd -r -g openerp -d /var/run/openerp -s /sbin/nologin \
    -c "OpenERP Server" openerp
usermod -d /var/run/openerp openerp >/dev/null 2>&1 || :

%post
if [ $1 -eq 1 ]; then
    # Initial installation
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable \
        openerp-server.service > /dev/null 2>&1 || :
    /bin/systemctl stop openerp-server.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    /bin/systemctl try-restart openrep-server.service >/dev/null 2>&1 || :
fi

%files
%doc doc/*
%{_bindir}/*
%{_sbindir}/*
%{py_puresitedir}/*
%{_datadir}/openerp/*
%{_datadir}/openerp/.apidoc
%{_mandir}/man*/*
%{_unitdir}/openerp-server.service
%{_sysconfdir}/openerp/openerp-server.conf
%{_sysconfdir}/openerp/start.d
%{_sysconfdir}/openerp/stop.d
%exclude %{_datadir}/openerp/addons/google_api
%exclude %{_datadir}/openerp/addons/openeducat_erp
%exclude %{_datadir}/openerp/addons/oerp_project_git
%exclude %{_datadir}/openerp/addons/gap_analysis
%exclude %{_datadir}/openerp/addons/ggap_analysis_project
%exclude %{_datadir}/openerp/addons/gap_analysis_project_long_term
%exclude %{_datadir}/openerp/addons/risk_management
%exclude %{_datadir}/openerp/addons/smsclient
%exclude %{_datadir}/openerp/addons/planning_management_capacity_planning
%exclude %{_datadir}/openerp/addons/planning_management_shared_calendar
%attr(-,openerp,openerp) %{_var}/log/openerp
%attr(-,openerp,openerp) %ghost %{_var}/log/openerp/openerp-server.log

%files -n openerp-google-api
%{_datadir}/openerp/addons/google_api

%files -n openerp-openeducat
%{_datadir}/openerp/addons/openeducat_erp

%files -n openerp-git
%{_datadir}/openerp/addons/oerp_project_git

%files -n openerp-gap-analysis
%{_datadir}/openerp/addons/gap_analysis
%{_datadir}/openerp/addons/gap_analysis_project
%{_datadir}/openerp/addons/gap_analysis_project_long_term

%files -n openerp-risk-management
%{_datadir}/openerp/addons/risk_management

%files -n openerp-extras
%{_datadir}/openerp/addons/smsclient
%{_datadir}/openerp/addons/planning_management_capacity_planning
%{_datadir}/openerp/addons/planning_management_shared_calendar


%changelog
* Wed Jan 08 2014 joequant <joequant> 7.0-20131213.4.mga4
+ Revision: 565567
- push to core/release

* Sun Jan 05 2014 joequant <joequant> 7.0-20131213.3.mga4
+ Revision: 564710
- split up extra addons into own RPM's

* Sun Jan 05 2014 joequant <joequant> 7.0-20131213.2.mga4
+ Revision: 564674
- add requires for submodules

* Sun Dec 22 2013 joequant <joequant> 7.0-20131213.1.mga4
+ Revision: 559743
- do not set own man directory
  add addons
- improve docs and make service name consistent
- update to 7.0

* Tue Oct 22 2013 umeabot <umeabot> 6.0.2-5.mga4
+ Revision: 542807
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 6.0.2-4.mga4
+ Revision: 497966
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 6.0.2-3.mga3
+ Revision: 362010
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 07 2011 fwang <fwang> 6.0.2-2.mga2
+ Revision: 132167
- update file list
- update file list
- fix startup script

* Sun Jul 17 2011 fwang <fwang> 6.0.2-1.mga2
+ Revision: 125290
- br setuptools
- imported package openerp-server

